/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: ResultDeliveryDlg.cpp
**
** DESCRIPTION: This program implements the methods of CResultDeliveryDlg class
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang       March-2001
**
/**************************************************************************/


// ResultDeliveryDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RealTracker.h"
#include "ResultDeliveryDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CResultDeliveryDlg dialog


CResultDeliveryDlg::CResultDeliveryDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CResultDeliveryDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CResultDeliveryDlg)
	m_bMailAddr1 = FALSE;
	m_bMailAddr2 = FALSE;
	m_SMTPServer1 = _T("");
	m_SMTPServer2 = _T("");
	m_MailName1 = _T("");
	m_MailName2 = _T("");
	m_MailAddr1 = _T("");
	m_MailAddr2 = _T("");
	m_bUseFtp1 = FALSE;
	m_bUseFtp2 = FALSE;
	m_FTPServer1 = _T("");
	m_FTPServer2 = _T("");
	m_FTPUser1 = _T("");
	m_FTPUser2 = _T("");
	m_FTPPasswd1 = _T("");
	m_FTPPasswd2 = _T("");
	m_FTPDir1 = _T("");
	m_FTPDir2 = _T("");
	//}}AFX_DATA_INIT
}


void CResultDeliveryDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CResultDeliveryDlg)
	DDX_Check(pDX, IDC_CHECK_MAILADDR1, m_bMailAddr1);
	DDX_Check(pDX, IDC_CHECK_MAILADDR2, m_bMailAddr2);
	DDX_Text(pDX, IDC_EDIT_SMTPSERVER1, m_SMTPServer1);
	DDV_MaxChars(pDX, m_SMTPServer1, 64);
	DDX_Text(pDX, IDC_EDIT_SMTPSERVER2, m_SMTPServer2);
	DDV_MaxChars(pDX, m_SMTPServer2, 64);
	DDX_Text(pDX, IDC_EDIT_MAILNAME1, m_MailName1);
	DDV_MaxChars(pDX, m_MailName1, 128);
	DDX_Text(pDX, IDC_EDIT_MAILNAME2, m_MailName2);
	DDV_MaxChars(pDX, m_MailName2, 128);
	DDX_Text(pDX, IDC_EDIT_MAILADDR1, m_MailAddr1);
	DDV_MaxChars(pDX, m_MailAddr1, 128);
	DDX_Text(pDX, IDC_EDIT_MAILADDR2, m_MailAddr2);
	DDV_MaxChars(pDX, m_MailAddr2, 128);
	DDX_Check(pDX, IDC_CHECK_USEFTP1, m_bUseFtp1);
	DDX_Check(pDX, IDC_CHECK_USEFTP2, m_bUseFtp2);
	DDX_Text(pDX, IDC_EDIT_FTPSERVER1, m_FTPServer1);
	DDV_MaxChars(pDX, m_FTPServer1, 64);
	DDX_Text(pDX, IDC_EDIT_FTPSERVER2, m_FTPServer2);
	DDV_MaxChars(pDX, m_FTPServer2, 64);
	DDX_Text(pDX, IDC_EDIT_FTPUSER1, m_FTPUser1);
	DDV_MaxChars(pDX, m_FTPUser1, 128);
	DDX_Text(pDX, IDC_EDIT_FTPUSER2, m_FTPUser2);
	DDV_MaxChars(pDX, m_FTPUser2, 128);
	DDX_Text(pDX, IDC_EDIT_FTPPASSWD1, m_FTPPasswd1);
	DDV_MaxChars(pDX, m_FTPPasswd1, 64);
	DDX_Text(pDX, IDC_EDIT_FTPPASSWD2, m_FTPPasswd2);
	DDV_MaxChars(pDX, m_FTPPasswd2, 64);
	DDX_Text(pDX, IDC_EDIT_DIR1, m_FTPDir1);
	DDV_MaxChars(pDX, m_FTPDir1, 256);
	DDX_Text(pDX, IDC_EDIT_DIR2, m_FTPDir2);
	DDV_MaxChars(pDX, m_FTPDir2, 256);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CResultDeliveryDlg, CDialog)
	//{{AFX_MSG_MAP(CResultDeliveryDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CResultDeliveryDlg message handlers
