/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: NewFolderDlg.cpp
**
** DESCRIPTION: This program implements the methods of CNewFolderDlg class
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang        March-2001
**
/**************************************************************************/


// NewFolderDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RealData.h"
#include "NewFolderDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNewFolderDlg dialog


CNewFolderDlg::CNewFolderDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CNewFolderDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNewFolderDlg)
	m_FolderName = _T("");
	//}}AFX_DATA_INIT
}


void CNewFolderDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNewFolderDlg)
	DDX_Text(pDX, IDC_EDIT_NAME, m_FolderName);
	DDV_MaxChars(pDX, m_FolderName, 32);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNewFolderDlg, CDialog)
	//{{AFX_MSG_MAP(CNewFolderDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNewFolderDlg message handlers

void CNewFolderDlg::OnOK() 
{
    UpdateData();

    if (m_FolderName.IsEmpty())
    {
        MessageBox("Input folder name", "Error");
        return;
    }
	
	CDialog::OnOK();
}
