/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: ShowLogDoc.h
**
** DESCRIPTION: This class defines the document of log file window
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang        March-2001
**
/**************************************************************************/


#if !defined(AFX_SHOWLOGDOC_H__B6F02A9B_4FD6_450C_9C84_B7497438BEB8__INCLUDED_)
#define AFX_SHOWLOGDOC_H__B6F02A9B_4FD6_450C_9C84_B7497438BEB8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ShowLogDoc.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CShowLogDoc document

class CShowLogDoc : public CDocument
{
private:
    CString m_szFileName;

public:
	CShowLogDoc();           // protected constructor used by dynamic creation
	CShowLogDoc(CString filename);
	DECLARE_DYNCREATE(CShowLogDoc)

// Attributes
public:
    CString GetFileName();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CShowLogDoc)
	public:
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
	protected:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CShowLogDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CShowLogDoc)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SHOWLOGDOC_H__B6F02A9B_4FD6_450C_9C84_B7497438BEB8__INCLUDED_)
