/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: ShowLogView.h
**
** DESCRIPTION: This class defines the view structure of log file window
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang        March-2001
**
/**************************************************************************/


#if !defined(AFX_SHOWLOGVIEW_H__6340B9F6_4E76_4D26_9FDF_135C9C85863F__INCLUDED_)
#define AFX_SHOWLOGVIEW_H__6340B9F6_4E76_4D26_9FDF_135C9C85863F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ShowLogView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CShowLogView view

class CShowLogView : public CView
{
protected:
	CShowLogView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CShowLogView)

// Attributes
protected:
	CSplitterWnd m_wndSplitter;

public:
	CShowLogDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CShowLogView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CShowLogView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CShowLogView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in RealDataView.cpp
inline CShowLogDoc* CShowLogView::GetDocument()
   { return (CShowLogDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SHOWLOGVIEW_H__6340B9F6_4E76_4D26_9FDF_135C9C85863F__INCLUDED_)
