/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: CSaveLogDlg.h
**
** DESCRIPTION: This class defines the "Save Log Files ..." dialog
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang        March-2001
**
/**************************************************************************/


#if !defined(AFX_SAVELOGDLG_H__57CB643E_3A0E_4FD7_80DE_35E8E0D24821__INCLUDED_)
#define AFX_SAVELOGDLG_H__57CB643E_3A0E_4FD7_80DE_35E8E0D24821__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SaveLogDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSaveLogDlg dialog

class CSaveLogDlg : public CDialog
{
// Construction
public:
	CSaveLogDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSaveLogDlg)
	enum { IDD = IDD_SAVELOG };
	BOOL	m_bSaveLog;
	CString	m_DirName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSaveLogDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSaveLogDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnCheckSavelog();
	afx_msg void OnButtonBrowse();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SAVELOGDLG_H__57CB643E_3A0E_4FD7_80DE_35E8E0D24821__INCLUDED_)
