/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: ShowLogHeadView.h
**
** DESCRIPTION: This class defines the upper view of log file window
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang        March-2001
**
/**************************************************************************/


#if !defined(AFX_SHOWLOGHEADVIEW_H__1058C2EF_7EDD_4B4D_AD40_69009F61489F__INCLUDED_)
#define AFX_SHOWLOGHEADVIEW_H__1058C2EF_7EDD_4B4D_AD40_69009F61489F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ShowLogHeadView.h : header file
//

#include "ShowLogDoc.h"

/////////////////////////////////////////////////////////////////////////////
// CShowLogHeadView view

class CShowLogHeadView : public CEditView
{
private:
    BOOL m_bInitialized;

protected:
	CShowLogHeadView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CShowLogHeadView)

// Attributes
public:
    CShowLogDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CShowLogHeadView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CShowLogHeadView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CShowLogHeadView)
	afx_msg HBRUSH CtlColor(CDC* pDC, UINT nCtlColor);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SHOWLOGHEADVIEW_H__1058C2EF_7EDD_4B4D_AD40_69009F61489F__INCLUDED_)
